import { r as n, i as m, e as b } from "./query-assigned-elements-D930kELM.mjs";
import { s as d, T as v } from "./mwc-tab.css-DJHVL7wZ.mjs";
const i = ':host{--mdc-tab-text-label-color-default: var( --mdc-theme-text-primary-on-background );--mdc-tab-color-default: var(--mdc-theme-text-icon-on-background)}:host .mdc-tab:not(.mdc-tab--active) .mdc-tab__text-label{color:var(--mdc-theme-text-primary-on-background)}:host .mdc-tab--active{font-variation-settings:"FILL" 1}';
var f = Object.getOwnPropertyDescriptor, p = (o, r, l, s) => {
  for (var t = s > 1 ? void 0 : s ? f(r, l) : r, a = o.length - 1, c; a >= 0; a--)
    (c = o[a]) && (t = c(t) || t);
  return t;
};
let e = class extends v {
};
e.styles = [d, m`${n(i)}`];
e = p([
  b("cv-tab")
], e);
const x = e;
export {
  e as CovalentTab,
  x as default
};
